package _VisualDVM.Passes.All;
import _VisualDVM.Global;
import _VisualDVM.Passes.Server.PublishServerObject;
import _VisualDVM.TestingSystem.Common.Group.Group;
import _VisualDVM.TestingSystem.Common.TestingServer;
public class PublishGroup extends PublishServerObject<TestingServer, Group> {
    String group_description;
    public PublishGroup() {
        super(Global.testingServer, Group.class);
    }
    @Override
    protected boolean canStart(Object... args) throws Exception {
        group_description = (args.length > 0) ? (String) args[0] : "";
        return super.canStart(args);
    }
    @Override
    public boolean fillObjectFields() throws Exception {
        target.description = group_description;
        return super.fillObjectFields();
    }
}
